0.83: Fibaro Home Center Hubs, locks via voice, Traccar


#118

same for me :triumph:


#119

I forced the upgrade to 0.83.1 using the following cli command, using ssh, and it fixes the problem.

hassio ha update --options version=0.83.1


#120

0.83.1 seems to not be working for me. D’oh. Whilst 0.83 was fine! 0.83.1 keeps rebooting.


#122

Updated to 0.83.1. My rest_command platform is still not working. This is what I have in my configuration…

rest_command:
  set_state_switch:
    url: https://[HA Domain]/api/states/switch.office_lights
    method: POST
    headers: 
      x-ha-access: !secret http_password
      content-type: 'application/json'
    payload: '{"state":"on"}'

I received this error…

Error 401 on call https://[HA Domain]/api/states/switch.office_lights

UPDATE: I have fixed it by changing the legacy API password to long-lived access token by changing this line…

x-ha-access: !secret http_password

to

Authorization: 'Bearer MYACCESSTOKEN'

The Access Token can be generated at the bottom of the user profile page.


#123

The Github Desktop will give you all the version tracking of your config you will ever want…


#124

I’m getting the following error in my log after trying to visit a my lovelace view. It’s not pointing to the new components, and they were all disabled during this error below. No idea what it’s on about.

I just updated from 0.82.1 to 0.83.1.

I didn’t come across this above. If it has already been posted, sorry in advance.

Log Details (ERROR)
Fri Nov 30 2018 16:17:49 GMT+1100 (Australian Eastern Daylight Time)

Error in logging
Traceback (most recent call last):
  File "aiohttp\_helpers.pyx", line 24, in aiohttp._helpers.reify.__get__
KeyError: 'remote'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/helpers.py", line 462, in log
    for key, value in fmt_info:
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/helpers.py", line 454, in <genexpr>
    for key, method in self._methods)
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/helpers.py", line 412, in _format_a
    ip = request.remote
  File "aiohttp\_helpers.pyx", line 32, in aiohttp._helpers.reify.__get__
  File "aiohttp\_helpers.pyx", line 26, in aiohttp._helpers.reify.__get__
  File "/srv/homeassistant/lib/python3.5/site-packages/aiohttp/web_request.py", line 343, in remote
    peername = self.transport.get_extra_info('peername')
  File "/usr/lib/python3.5/asyncio/sslproto.py", line 306, in get_extra_info
    return self._ssl_protocol._get_extra_info(name, default)
  File "/usr/lib/python3.5/asyncio/sslproto.py", line 546, in _get_extra_info
    return self._transport.get_extra_info(name, default)
AttributeError: 'NoneType' object has no attribute 'get_extra_info'

#125

Thanks for the hard work contributors. No issues upgrading.


#126

Hi David,
i know this and i currently use git for my main version control.
Unfortunately, those config entries do not work at all with this.

How to reproduce:
Install home-assistant as usual.
Configure your integrations within the UI.
???
Have no idea how to back this up into git.


#127

I thought you were referring to things like yaml files. I use snapshots to back everything up anyway but version control with github desktop works great.

Not sure why you need to do this?


#128

Worked out the issue to my problem above. I made a custom card and have it on 2 different pages in Lovelace. Both cards have the same ID. This wasn’t an issue before 0.83, but seems to be now. Simply changing the ID on one of the cards has brought Lovelace back to life. Now to move on and explore some of the new features.


#129

I “need” to back up my configuration because i play around a lot, try out new stuff and in the process break a lot of stuff. Having a always working backup in git makes it possible for me to go back to where i was let’s say 3 days ago where i knew everything was working exactly as i imagined.
It’s mostly a convinient feature. But also i often replace my home-assistant installation… E.g. I started with home-assistant on a freeNAS installation inside a jail. Did work ok untill i wanted to use a zigbee stick inside the jail which was not possible. Then moved to unraid for a month which allowed me to use native docker containers and use the zigbee stick. Then decided the licence fee is to much for what i use from unraid. Now i moved to a plain ubuntu installation with docker support.

This was over the course of just the last 3 month. Having no backups on github would have caused a lot of pain for me.


#130

Oh yeah backups rock but the integrations are one click for most of them… not much to lose.


#131

Hello,
i updated my HASSOS based Hassio to 0.83 and it worked perfectly. Then I updated HASSOS as well and all of the sudden the “new version” message popped up saying “update 0.82.1 available, you have 0.83 right now”.
Of course I realized it after clicking the update button and the system somehow reverted halfway back to 0.82.1.

With halfway I mean that this crashed the system. I can still connect via ssh and smb but not to the webinterface. If I try to update to 0.83 via CLI it returns an error.

Is this problem known and is there any way to solve it besides starting from scratch?

core-ssh:~# hassio homeassistant update --options version=0.83

ERROR

Unknown Error, see logs

This is the log showing errors when trying to connect to the webinterface:

2018-11-30 07:24:53 INFO (MainThread) [homeassistant.components.http.view] Serving /api/websocket to 172.30.32.2 (auth: False)
2018-11-30 07:24:53 INFO (MainThread) [homeassistant.components.http.view] Serving /auth/token to 172.30.32.2 (auth: False)
2018-11-30 07:24:53 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/aiohttp/web_protocol.py", line 390, in start
resp = await self._request_handler(request)
  File "/usr/local/lib/python3.6/site-packages/aiohttp/web_app.py", line 366, in _handle
resp = await handler(request)
  File "/usr/local/lib/python3.6/site-packages/aiohttp/web_middlewares.py", line 106, in impl
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/static.py", line 66, in staticresource_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/real_ip.py", line 34, in real_ip_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/ban.py", line 66, in ban_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/auth.py", line 97, in auth_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/real_ip.py", line 34, in real_ip_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/ban.py", line 66, in ban_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/auth.py", line 97, in auth_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/view.py", line 113, in handle
result = await result
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/ban.py", line 76, in handle_req
resp = await func(view, request, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/auth/__init__.py", line 258, in post
hass, data, str(request[KEY_REAL_IP]))
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/auth/__init__.py", line 346, in _async_handle_refresh_token
refresh_token = await hass.auth.async_get_refresh_token_by_token(token)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/auth/__init__.py", line 330, in async_get_refresh_token_by_token
return await self._store.async_get_refresh_token_by_token(token)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/auth/auth_store.py", line 204, in async_get_refresh_token_by_token
await self._async_load()
  File "/usr/local/lib/python3.6/site-packages/homeassistant/auth/auth_store.py", line 247, in _async_load
name=group_dict['name'],
KeyError: 'name'
2018-11-30 07:24:53 INFO (MainThread) [homeassistant.components.http.view] Serving /api/websocket to 172.30.32.2 (auth: False)
2018-11-30 07:24:53 INFO (MainThread) [homeassistant.components.http.view] Serving /auth/token to 172.30.32.2 (auth: False)
2018-11-30 07:24:53 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/aiohttp/web_protocol.py", line 390, in start
resp = await self._request_handler(request)
  File "/usr/local/lib/python3.6/site-packages/aiohttp/web_app.py", line 366, in _handle
resp = await handler(request)
  File "/usr/local/lib/python3.6/site-packages/aiohttp/web_middlewares.py", line 106, in impl
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/static.py", line 66, in staticresource_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/real_ip.py", line 34, in real_ip_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/ban.py", line 66, in ban_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/auth.py", line 97, in auth_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/real_ip.py", line 34, in real_ip_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/ban.py", line 66, in ban_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/auth.py", line 97, in auth_middleware
return await handler(request)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/view.py", line 113, in handle
result = await result
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/http/ban.py", line 76, in handle_req
resp = await func(view, request, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/auth/__init__.py", line 258, in post
hass, data, str(request[KEY_REAL_IP]))
  File "/usr/local/lib/python3.6/site-packages/homeassistant/components/auth/__init__.py", line 346, in _async_handle_refresh_token
refresh_token = await hass.auth.async_get_refresh_token_by_token(token)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/auth/__init__.py", line 330, in async_get_refresh_token_by_token
return await self._store.async_get_refresh_token_by_token(token)
  File "/usr/local/lib/python3.6/site-packages/homeassistant/auth/auth_store.py", line 204, in async_get_refresh_token_by_token
await self._async_load()
  File "/usr/local/lib/python3.6/site-packages/homeassistant/auth/auth_store.py", line 247, in _async_load
name=group_dict['name'],
KeyError: 'name'
2018-11-30 07:24:54 WARNING (MainThread) [homeassistant.components.websocket_api.http.connection.548080118192] Disconnected: Did not receive auth message within 10 seconds

#132

Only time i guess. But at least i now have the feeling to understand the reasoning behind this and my anger from yesterday about all this breaking changes fade away.

Thank you a lot for bearing with me here today


#133

I have tried to update from 0.82.1 to 0.83.0, and after to 0.83.1 but in the Hass.io page there is always the info that there is an update:
immagine
But this is wrong because I have a more recent release.

I’m using a Raspberry Pi3 B+ with:
HassOS: 1.13
Supervisor: 140


#134

Is that normal that i didn’t see the update card ?


#135

I use TimeShift to be able to roll back. Its done once a day snd set to save 5 reset points. It works flawless for me eben if I never has usef it yet to roll back


#136

Sounds interesting to me, can you please explain what exactly TimeShift is?
I only ever heard about this in regard of TV recordings


#137

then it’s not sure it works ^^
Docker is also an option for multi-versioning.


#138

I see in breaking changes for xiaomi that motion sensor needs xiaomi_aqara.motion for events, but in documentation motion sensor trigger is state not event.

  trigger:
    platform: state
    entity_id: binary_sensor.motion_sensor_158d000xxxxxc2
    from: 'off'
    to: 'on'

So do i need to change motion sensor trigger to event?